Disable Beneficiary
curl --request POST \
--url https://api.hopnow.io/v1/accounts/{account_id}/beneficiaries/{beneficiary_id}/disable \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.hopnow.io/v1/accounts/{account_id}/beneficiaries/{beneficiary_id}/disable"
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.hopnow.io/v1/accounts/{account_id}/beneficiaries/{beneficiary_id}/disable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Beneficiaries
Disable Beneficiary
Temporarily disable a beneficiary for payouts
POST
/
v1
/
accounts
/
{account_id}
/
beneficiaries
/
{beneficiary_id}
/
disable
Disable Beneficiary
Path Parameters
string
required
The account’s external ID (starts with
acc_)string
required
The beneficiary’s external ID (starts with
bene_)Response
Returns the beneficiary object with updated status.Response Example
{
"id": "bene_9gt1ummgx127biovlurm9mq2",
"object": "beneficiary",
"account_id": "acct_ka44qsvpo8q3wtzuwfqf0h6u",
"beneficiary_type": "individual",
"title": null,
"first_name": "John",
"middle_name": null,
"last_name": "Doe",
"display_name": "John Doe",
"company_name": null,
"email": "john.doe@example.com",
"phone": "+1234567890",
"address": {
"address_line": "123 Main St",
"city": "New York",
"region": "NY",
"postal_code": "10001",
"country": "US"
},
"country_code": "US",
"status": "disabled",
"verified": true,
"payout_destinations": [],
"created": "2024-01-15T10:00:00Z",
"updated": "2024-01-16T10:00:00Z"
}
⌘I